// BigFrog.java

import ch.aplu.jgamegrid.*;
import java.awt.event.KeyEvent;

public class BigFrog extends Actor implements GGKeyListener
{
  private int nbEatedFlies = 0;

  public BigFrog()
  {
    super(true, "sprites/frog.gif", 7);
  }

  public boolean keyPressed(KeyEvent evt)
  {
    switch (evt.getKeyCode())
    {
      case KeyEvent.VK_UP:
        setDirection(270);
        move();
        tryToEat();
        break;
      case KeyEvent.VK_RIGHT:
        setDirection(0);
        move();
        tryToEat();
        break;
      case KeyEvent.VK_LEFT:
        setDirection(180);
        move();
        tryToEat();
        break;
      case KeyEvent.VK_DOWN:
        setDirection(90);
        move();
        tryToEat();
        break;
    }
    return true;
  }

  public boolean keyReleased(KeyEvent evt)
  {
    return true;
  }

  private void tryToEat()
  {
    Actor actor = gameGrid.getOneActorAt(getLocation(), Fly.class);
    if (actor != null)
    {
      actor.hide();
      nbEatedFlies++;
      show(nbEatedFlies);
      gameGrid.playSound(this, GGSound.FROG);
    }
  }
}